org.apache.cassandra.db.rows

## Class SerializationHelper

- java.lang.Object
- - org.apache.cassandra.db.rows.SerializationHelper

    public class SerializationHelper
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `SerializationHelper.Flag` Flag affecting deserialization behavior (this only affect counters in practice).

### Field Summary

Fields
`int` `version`

### Constructor Summary

Constructors
Constructor and Description
`SerializationHelper(CFMetaData metadata, int version, SerializationHelper.Flag flag)`
`SerializationHelper(CFMetaData metadata, int version, SerializationHelper.Flag flag, ColumnFilter columnsToFetch)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canSkipValue(CellPath path)`
`boolean` `canSkipValue(ColumnDefinition column)`
`void` `endOfComplexColumn()`
`boolean` `includes(Cell cell, LivenessInfo rowLiveness)`
`boolean` `includes(CellPath path)`
`boolean` `includes(ColumnDefinition column)`
`boolean` `isDropped(Cell cell, boolean isComplex)`
`boolean` `isDroppedComplexDeletion(DeletionTime complexDeletion)`
`java.nio.ByteBuffer` `maybeClearCounterValue(java.nio.ByteBuffer value)`
`void` `startOfComplexColumn(ColumnDefinition column)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### version

    public final int version

### Constructor Detail

#### SerializationHelper

    public SerializationHelper(CFMetaData metadata,
                               int version,
                               SerializationHelper.Flag flag,
                               ColumnFilter columnsToFetch)

#### SerializationHelper

    public SerializationHelper(CFMetaData metadata,
                               int version,
                               SerializationHelper.Flag flag)

### Method Detail

#### includes

    public boolean includes(ColumnDefinition column)

#### includes

    public boolean includes(Cell cell,
                            LivenessInfo rowLiveness)

#### includes

    public boolean includes(CellPath path)

#### canSkipValue

    public boolean canSkipValue(ColumnDefinition column)

#### canSkipValue

    public boolean canSkipValue(CellPath path)

#### startOfComplexColumn

    public void startOfComplexColumn(ColumnDefinition column)

#### endOfComplexColumn

    public void endOfComplexColumn()

#### isDropped

    public boolean isDropped(Cell cell,
                             boolean isComplex)

#### isDroppedComplexDeletion

    public boolean isDroppedComplexDeletion(DeletionTime complexDeletion)

#### maybeClearCounterValue

    public java.nio.ByteBuffer maybeClearCounterValue(java.nio.ByteBuffer value)